{{ define "head" }}

{{ $pageType := "Article" }}

{{ if eq .CurrentSection.File.Path "news/_index.md" }}
{{ $pageType = "NewsArticle" }}
{{ end }}

{{ if eq .CurrentSection.File.Path "blog/_index.md" }}
{{ $pageType = "BlogPosting" }}
{{ end }}

<script type="application/ld+json">
    {
      "@context": "https://schema.org",
      "@type": "{{ $pageType }}",
      "headline": "{{ .Title }}",
      "datePublished": "{{ .Date | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "dateModified": "{{ .Lastmod | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "author": [{
          "@type": "Organization",
          "name": "etke.cc",
          "url": "https://etke.cc"
        }]
    }
</script>
{{ end }}

{{ define "main" }}
<div class="container">
    <h1 class="text-center my-3">{{ .Title }}</h1>

    {{ partial "attention.html" . }}

    {{ replaceRE `((#|@)[a-zA-Z0-9-_]+:[a-zA-Z0-9-]+\.[a-zA-Z]+)` "<a href=https://matrix.to/#/$1 target=_blank>$1</a>" .Content | safeHTML }}
</div>

{{ if ne .CurrentSection.RelPermalink "/order/" }}
{{ partial "no-server-yet.html" . }}
{{ end}}
{{ end }}
